Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.api.management
Class WLNGMBeanDelegate

    java.lang.Object
      WLNGBaseBean
          com.bea.wlcp.wlng.api.management.WLNGMBeanDelegate

All Implemented Interfaces:
  NotificationBroadcaster, NotificationEmitter

public class WLNGMBeanDelegate
extends WLNGBaseBean
implements NotificationEmitter

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Constructor Summary
`WLNGMBeanDelegate(Class mbeanInterface)`
`WLNGMBeanDelegate(Object impl, Class mbeanInterface)` constructor

Method Summary
`void` | `addNotificationListener(NotificationListener listener, NotificationFilter filter, Object handback)` Add notification
`MBeanNotificationInfo[]` | `getNotificationInfo()` GetNotification info
`void` | `removeNotificationListener(NotificationListener listener)` Remove notification
`void` | `removeNotificationListener(NotificationListener listener, NotificationFilter filter, Object handback)` Remove notification
`void` | `sendNotification(Notification n)` Send notification

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WLNGMBeanDelegate

    public WLNGMBeanDelegate(Class mbeanInterface)
                      throws NotCompliantMBeanException

### WLNGMBeanDelegate

    public WLNGMBeanDelegate(Object impl,
                             Class mbeanInterface)
                      throws NotCompliantMBeanException

  constructor

Throws:
  `NotCompliantMBeanException`

Method Detail

### addNotificationListener

    public void addNotificationListener(NotificationListener listener,
                                        NotificationFilter filter,
                                        Object handback)

  Add notification

  Specified by:
    `addNotificationListener` in interface `NotificationBroadcaster`
  Parameters:
    `listener` -
    `filter` -
    `handback` -

### getNotificationInfo

    public MBeanNotificationInfo[] getNotificationInfo()

  GetNotification info

  Specified by:
    `getNotificationInfo` in interface `NotificationBroadcaster`
  Returns:

### removeNotificationListener

    public void removeNotificationListener(NotificationListener listener)
                                    throws ListenerNotFoundException

  Remove notification

  Specified by:
    `removeNotificationListener` in interface `NotificationBroadcaster`
  Parameters:
    `listener` -
  Throws:
    `ListenerNotFoundException`

### removeNotificationListener

    public void removeNotificationListener(NotificationListener listener,
                                           NotificationFilter filter,
                                           Object handback)

  Remove notification

  Specified by:
    `removeNotificationListener` in interface `NotificationEmitter`
  Parameters:
    `listener` -
    `filter` -
    `handback` -

### sendNotification

    public void sendNotification(Notification n)

  Send notification

  Parameters:
    `n` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD